<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.tableData.mapper.AnPbBaseinfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.tableData.domain.AnPbBaseinfo">
            <id property="ancheid" column="ANCHEID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="anchedate" column="ANCHEDATE" jdbcType="TIMESTAMP"/>
            <result property="ancheyear" column="ANCHEYEAR" jdbcType="VARCHAR"/>
            <result property="traname" column="TRANAME" jdbcType="VARCHAR"/>
            <result property="name" column="NAME" jdbcType="VARCHAR"/>
            <result property="regno" column="REGNO" jdbcType="VARCHAR"/>
            <result property="uniscid" column="UNISCID" jdbcType="VARCHAR"/>
            <result property="tel" column="TEL" jdbcType="VARCHAR"/>
            <result property="empnum" column="EMPNUM" jdbcType="INTEGER"/>
            <result property="empnumdis" column="EMPNUMDIS" jdbcType="VARCHAR"/>
            <result property="colgranum" column="COLGRANUM" jdbcType="INTEGER"/>
            <result property="colemplnum" column="COLEMPLNUM" jdbcType="INTEGER"/>
            <result property="retsolnum" column="RETSOLNUM" jdbcType="INTEGER"/>
            <result property="retemplnum" column="RETEMPLNUM" jdbcType="INTEGER"/>
            <result property="dispernum" column="DISPERNUM" jdbcType="INTEGER"/>
            <result property="disemplnum" column="DISEMPLNUM" jdbcType="INTEGER"/>
            <result property="unenum" column="UNENUM" jdbcType="INTEGER"/>
            <result property="uneemplnum" column="UNEEMPLNUM" jdbcType="INTEGER"/>
            <result property="annrepform" column="ANNREPFORM" jdbcType="VARCHAR"/>
            <result property="fundam" column="FUNDAM" jdbcType="DECIMAL"/>
            <result property="vendinc" column="VENDINC" jdbcType="DECIMAL"/>
            <result property="vendincdis" column="VENDINCDIS" jdbcType="VARCHAR"/>
            <result property="ratgro" column="RATGRO" jdbcType="DECIMAL"/>
            <result property="ratgrodis" column="RATGRODIS" jdbcType="VARCHAR"/>
            <result property="numparm" column="NUMPARM" jdbcType="BIGINT"/>
            <result property="parins" column="PARINS" jdbcType="VARCHAR"/>
            <result property="parinsCn" column="PARINS_CN" jdbcType="VARCHAR"/>
            <result property="resparmsign" column="RESPARMSIGN" jdbcType="VARCHAR"/>
            <result property="resparsecsign" column="RESPARSECSIGN" jdbcType="VARCHAR"/>
            <result property="lastupdatetime" column="LASTUPDATETIME" jdbcType="TIMESTAMP"/>
            <result property="entcheyear" column="ENTCHEYEAR" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="sExtTimestamp" column="S_EXT_TIMESTAMP" jdbcType="TIMESTAMP"/>
            <result property="iTime" column="I_TIME" jdbcType="TIMESTAMP"/>
            <result property="sExtFromnode" column="S_EXT_FROMNODE" jdbcType="VARCHAR"/>
            <result property="cdId" column="CD_ID" jdbcType="VARCHAR"/>
            <result property="modFlag" column="MOD_FLAG" jdbcType="VARCHAR"/>
            <result property="cdBatch" column="CD_BATCH" jdbcType="VARCHAR"/>
            <result property="upTime" column="UP_TIME" jdbcType="TIMESTAMP"/>
            <result property="id" column="ID" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        ANCHEID,PRIPID,ANCHEDATE,
        ANCHEYEAR,TRANAME,NAME,
        REGNO,UNISCID,TEL,
        EMPNUM,EMPNUMDIS,COLGRANUM,
        COLEMPLNUM,RETSOLNUM,RETEMPLNUM,
        DISPERNUM,DISEMPLNUM,UNENUM,
        UNEEMPLNUM,ANNREPFORM,FUNDAM,
        VENDINC,VENDINCDIS,RATGRO,
        RATGRODIS,NUMPARM,PARINS,
        PARINS_CN,RESPARMSIGN,RESPARSECSIGN,
        LASTUPDATETIME,ENTCHEYEAR,S_EXT_DATATIME,
        S_EXT_TIMESTAMP,I_TIME,S_EXT_FROMNODE,
        CD_ID,MOD_FLAG,CD_BATCH,
        UP_TIME,ID
    </sql>
</mapper>
